Skip to main content
POST
cURL

Authorizations

x-api-key
string
header
required

Enter your API key in the format x-api-key <api-key>*

Path Parameters

id
string
required

Subscription ID

Body

application/json

Pause subscription request

Pauses an active subscription now. Usage and arrear fixed charges up to the pause are billed on a closing invoice.

metadata
object

Metadata stored on the pause @Example {"requested_by": "customer", "channel": "support_ticket"}

proration_behavior
enum<string>
Available options:
create_prorations,
none
reason
string

Reason for pausing the subscription @Description Optional reason for the pause. Maximum 255 characters @Example "Customer requested temporary suspension"

Maximum string length: 255

Response

OK

The paused subscription and its pause

pause
object

Response object containing subscription pause information

subscription
object